Full name: projects.locations.instances.cases.executeBulkAddTag
Adds a tag to multiple cases in a single operation. This helps in categorizing large sets of related cases efficiently.
HTTP request
POST https://chronicle.africa-south1.rep.googleapis.com/v1alpha/{parent}/cases:executeBulkAddTag Path parameters
| Parameters | |
|---|---|
parent |
Required. The instance to execute bulk add tag on. Format: projects/{project}/locations/{location}/instances/{instance}/cases:executeBulkAddTag |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "casesIds": [ integer ], "tags": [ string ] } |
| Fields | |
|---|---|
casesIds[] |
Required. Cases to add tags to. |
tags[] |
Required. The tags to add. |
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.cases.updateTag
For more information, see the IAM documentation.